`plot.cons` <- 
function(mdt, bg = c("yellow", "pink"), label = "cons.age", ...)
{	
	if (is.null(mdt[[3]])) 
		stop("There are no constraints in your mdt object")
	t <- mdt[[2]]
	if (label[1] == "cons.age")
		mdttext <- mdt[[3]][3,]
	else {
		if (is.na(label[1]))
			mdttext <- rep("  ", length(mdt[[3]][3,]))
		else
			mdttext <- label
	}
  	cons.nodes <- as.integer(mdt[[3]][2,])
   	cons.nodes <- t[cons.nodes + 1, 6]
    conscol <- vector(mode="character", 				length = length(mdt[[3]][2,]))
  	conscol[which(mdt[[3]][1,] == "U")] <- bg[1]
    conscol[which(mdt[[3]][1,] == "L")] <- bg[2]
   	nodelabels(text = mdttext, cons.nodes,  bg = conscol,  ...)
}