`max.mean.min` <-
function(x.max, x.mean, x.min, up = TRUE, trend = TRUE, col = c("orange", "red", "orange"), ...){
	
	x.max <- x.max$TABLE
	x.max <- x.max[x.max[,2] != 0, ]
	x.mean <- x.mean$TABLE
	x.mean <- x.mean[x.mean[,2] != 0, ]
	x.min <- x.min$TABLE
	x.min <- x.min[x.min[,2] != 0, ]
	
	if (trend){
		x.max <- x.max[,2]
		x.mean <- x.mean[,2]
		x.min <-x.min[,2]
		BIG.mean <- max(x.mean)
		BIG.num <- length(x.mean)
		x <- cbind(x.max, x.mean, x.min)
		x <- x[order(x[,2]), ]
		if (up)
			x <- cbind(x, 1:BIG.num)
		else
			x <- cbind(x, BIG.num:1)
	}
	else {
		r <- get("last_plot.phylo", envir = .PlotPhyloEnv)
		r<- r$yy
		r <- r[x.mean[,6]]
		x.mean <- x.mean[,2]
		BIG.mean <- max(x.mean)
		BIG.num <- length(x.mean)
		ind <- 1:BIG.num
		ind <- ind[order(x.max[,5])]
		x.max <- x.max[,2]
		x.min <-x.min[,2]

		x <- cbind(x.max, x.mean, x.min, r)
		#x <- x[order(x[,2]), ]
	}
	
	x[,1] <- BIG.mean - x[,1]
	x[,2] <- BIG.mean - x[,2]
	x[,3] <- BIG.mean - x[,3]
	
	
	
	if (trend){
		lines(x[,1], x[,4], col = col[1], ...)
		lines(x[,3], x[,4], col = col[3], ...)
		lines(x[,2], x[,4], col = col[2], ...)
	}
	else {
		points(x[,1], x[,4], col = col[1], ...)	
		points(x[,3], x[,4], col = col[3], ...)
		#points(x[,2], x[,4], col = col[2], ...)
	}
	
}

