\name{mdt.nodes}
\alias{mdt.nodes}
\title{Plotting of multidivtime node numbers on given chronogram}
\description{Multidivtime uses other node and tip numbering than ape. This function plots the numbering used by multidivtime on a given chronogram.}
\usage{
mdt.nodes(mdt, ...)
}
\arguments{
  \item{mdt}{Object of class \code{mdt}.}
  \item{\dots}{ Further arguments passed to \code{\link{nodelabels}} (ape).}
}

\author{Natalie Cusimano, \email{cusimano@bio.lmu.de}}

\seealso{\code{\link{plot.mdt}}}

\examples{
}
\keyword{node numbering}
\keyword{multidivtime}
\keyword{nodelabels}

